diff -uNrd --exclude=config.h csircd-1.14/lib/commands.c csircd-rs/lib/commands.c
--- csircd-1.14/lib/commands.c	Mon Mar 17 18:53:26 2003
+++ csircd-rs/lib/commands.c	Mon Sep 29 00:12:48 2003
@@ -432,8 +432,8 @@
 	if (IsLocal(pptr))
 		if (vars_value_get_bynum(IRCD_VAR_CLIENTCONNECT))
 			send_to_flag(CLIENT_NFLAGS_CLICONNECTS, NULL,
-				"Client connecting: %s (%s@%s) [%s]",
-				pptr->name, pptr->username, pptr->hostname, pptr->c_ipstring);
+				"Client connecting: %s (%s@%s) [%s] [%s]",
+				pptr->name, pptr->username, pptr->hostname, pptr->c_ipstring, pptr->ircname);
 	pptr->c_type = CLIENT_TYPE_CLIENT;
 	add_client_to_ulist(&(pptr->c_servptr->c_users), pptr);
 
@@ -5476,12 +5476,12 @@
 					send_prefix_to_client(meptr, pptr,
 						IRCD_REPLY(RPL_TRACEOPERATOR, pptr->name),
 						acptr->c_class->classname,
-						ircd_clientname(acptr, 0, cnamebuf));
+						ircd_clientname(acptr, 0, cnamebuf), acptr->c_ipstring);
 				else
 					send_prefix_to_client(meptr, pptr,
 						IRCD_REPLY(RPL_TRACEUSER, pptr->name),
 						acptr->c_class->classname,
-						ircd_clientname(acptr, 0, cnamebuf));
+						ircd_clientname(acptr, 0, cnamebuf), acptr->c_ipstring);
 			}
 			else if (IsServer(acptr))
 			{
@@ -5515,14 +5515,14 @@
 					send_prefix_to_client(meptr, pptr,
 						IRCD_REPLY(RPL_TRACEOPERATOR, pptr->name),
 						acptr->c_class->classname,
-						ircd_clientname(acptr, 0, cnamebuf));
+						ircd_clientname(acptr, 0, cnamebuf), acptr->c_ipstring);
 				}
 				else if (IsAnOper(pptr))
 				{
 					send_prefix_to_client(meptr, pptr,
 						IRCD_REPLY(RPL_TRACEUSER, pptr->name),
 						acptr->c_class->classname,
-						ircd_clientname(acptr, 0, cnamebuf));
+						ircd_clientname(acptr, 0, cnamebuf), acptr->c_ipstring);
 				}
 			}
 			else if (IsUnknown(acptr) && IsAnOper(pptr))
diff -uNrd --exclude=config.h csircd-1.14/lib/misc.c csircd-rs/lib/misc.c
--- csircd-1.14/lib/misc.c	Mon Mar 17 18:53:27 2003
+++ csircd-rs/lib/misc.c	Thu Jul 10 04:49:58 2003
@@ -993,12 +993,12 @@
 		{
 			if (!(cptr->c_flags & CLIENT_FLAGS_KILLED))
 				send_to_flag(CLIENT_NFLAGS_CLIDISCONNECTS, NULL,
-					"Client exiting: %s (%s@%s) [Client Quit]",
-					cptr->name, cptr->username, cptr->hostname);
+					"Client exiting: %s (%s@%s) [%s] [%s]",
+					cptr->name, cptr->username, cptr->hostname, reason, cptr->c_ipstring);
 			else
 				send_to_flag(CLIENT_NFLAGS_CLIDISCONNECTS, NULL,
-					"Client exiting: %s (%s@%s) [%s]",
-					cptr->name, cptr->username, cptr->hostname, reason);
+					"Client exiting: %s (%s@%s) [%s] [%s]",
+					cptr->name, cptr->username, cptr->hostname, reason, cptr->c_ipstring);
 		}
 		send_to_common_channels(cptr, "QUIT :%s", reason);
 		_user_del_channels(cptr);
diff -uNrd --exclude=config.h csircd-1.14/lib/numeric.c csircd-rs/lib/numeric.c
--- csircd-1.14/lib/numeric.c	Tue Feb  4 19:28:29 2003
+++ csircd-rs/lib/numeric.c	Mon Sep 29 00:12:44 2003
@@ -54,8 +54,8 @@
 /* 201 */	{	RPL_TRACECONNECTING,	"Try. %s %s" },
 /* 202 */	{	RPL_TRACEHANDSHAKE,		"H.S. %s %s" },
 /* 203 */	{	RPL_TRACEUNKNOWN,		"???? %s %s" },
-/* 204 */	{	RPL_TRACEOPERATOR,		"Oper %s %s" },
-/* 205 */	{	RPL_TRACEUSER,			"User %s %s" },
+/* 204 */	{	RPL_TRACEOPERATOR,		"Oper %s %s (%s)" },
+/* 205 */	{	RPL_TRACEUSER,			"User %s %s (%s)" },
 /* 206 */	{	RPL_TRACESERVER,		"Serv %s %dS %dC %s %s" },
 /* 207 */	{	RPL_TRACESERVICE,		"Service %s %s" },
 /* 208 */	{	RPL_TRACENEWTYPE,		"<newtype> 0 %s" },
